Skip to main content
GET
/
portfolio
/
{address}
/
stats
Get portfolio stats
curl --request GET \
  --url https://api.context.markets/v2/portfolio/{address}/stats \
  --header 'Authorization: Bearer <token>'
{
  "currentPortfolioValue": "1000000",
  "currentPortfolioPercentChange": 123,
  "predictionsPlaced": 123,
  "totalPlaced": "1000000",
  "allTimeWinLoss": "1000000",
  "allTimeReturnPct": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.context.markets/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

address
string
required

EVM address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x1111111111111111111111111111111111111111"

Response

Portfolio stats

currentPortfolioValue
string
required

Integer encoded as decimal string

Pattern: ^\d+$
Example:

"1000000"

currentPortfolioPercentChange
number
required
predictionsPlaced
number
required
totalPlaced
string
required

Integer encoded as decimal string

Pattern: ^\d+$
Example:

"1000000"

allTimeWinLoss
string
required

Integer encoded as decimal string

Pattern: ^\d+$
Example:

"1000000"

allTimeReturnPct
number
required